# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.28

# Delete rule output on recipe failure.
.DELETE_ON_ERROR:

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Disable VCS-based implicit rules.
% : %,v

# Disable VCS-based implicit rules.
% : RCS/%

# Disable VCS-based implicit rules.
% : RCS/%,v

# Disable VCS-based implicit rules.
% : SCCS/s.%

# Disable VCS-based implicit rules.
% : s.%

.SUFFIXES: .hpux_make_needs_suffix_list

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/pkg/bin/cmake

# The command to remove a file.
RM = /usr/pkg/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build

# Include any dependencies generated for this target.
include packages/PDT/CMakeFiles/plugin_pdt_console.dir/depend.make
# Include any dependencies generated by the compiler for this target.
include packages/PDT/CMakeFiles/plugin_pdt_console.dir/compiler_depend.make

# Include the progress variables for this target.
include packages/PDT/CMakeFiles/plugin_pdt_console.dir/progress.make

# Include the compile flags for this target's objects.
include packages/PDT/CMakeFiles/plugin_pdt_console.dir/flags.make

packages/PDT/CMakeFiles/plugin_pdt_console.dir/pdt_console.c.o: packages/PDT/CMakeFiles/plugin_pdt_console.dir/flags.make
packages/PDT/CMakeFiles/plugin_pdt_console.dir/pdt_console.c.o: /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/PDT/pdt_console.c
packages/PDT/CMakeFiles/plugin_pdt_console.dir/pdt_console.c.o: packages/PDT/CMakeFiles/plugin_pdt_console.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_1) "Building C object packages/PDT/CMakeFiles/plugin_pdt_console.dir/pdt_console.c.o"
	cd /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build/packages/PDT && /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/.cwrapper/bin/gcc $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -MD -MT packages/PDT/CMakeFiles/plugin_pdt_console.dir/pdt_console.c.o -MF CMakeFiles/plugin_pdt_console.dir/pdt_console.c.o.d -o CMakeFiles/plugin_pdt_console.dir/pdt_console.c.o -c /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/PDT/pdt_console.c

packages/PDT/CMakeFiles/plugin_pdt_console.dir/pdt_console.c.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing C source to CMakeFiles/plugin_pdt_console.dir/pdt_console.c.i"
	cd /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build/packages/PDT && /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/.cwrapper/bin/gcc $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -E /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/PDT/pdt_console.c > CMakeFiles/plugin_pdt_console.dir/pdt_console.c.i

packages/PDT/CMakeFiles/plugin_pdt_console.dir/pdt_console.c.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling C source to assembly CMakeFiles/plugin_pdt_console.dir/pdt_console.c.s"
	cd /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build/packages/PDT && /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/.cwrapper/bin/gcc $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -S /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/PDT/pdt_console.c -o CMakeFiles/plugin_pdt_console.dir/pdt_console.c.s

# Object files for target plugin_pdt_console
plugin_pdt_console_OBJECTS = \
"CMakeFiles/plugin_pdt_console.dir/pdt_console.c.o"

# External object files for target plugin_pdt_console
plugin_pdt_console_EXTERNAL_OBJECTS =

packages/PDT/pdt_console.so: packages/PDT/CMakeFiles/plugin_pdt_console.dir/pdt_console.c.o
packages/PDT/pdt_console.so: packages/PDT/CMakeFiles/plugin_pdt_console.dir/build.make
packages/PDT/pdt_console.so: packages/PDT/CMakeFiles/plugin_pdt_console.dir/link.txt
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --bold --progress-dir=/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_2) "Linking C shared module pdt_console.so"
	cd /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build/packages/PDT && $(CMAKE_COMMAND) -E cmake_link_script CMakeFiles/plugin_pdt_console.dir/link.txt --verbose=$(VERBOSE)

# Rule to build all files generated by this target.
packages/PDT/CMakeFiles/plugin_pdt_console.dir/build: packages/PDT/pdt_console.so
.PHONY : packages/PDT/CMakeFiles/plugin_pdt_console.dir/build

packages/PDT/CMakeFiles/plugin_pdt_console.dir/clean:
	cd /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build/packages/PDT && $(CMAKE_COMMAND) -P CMakeFiles/plugin_pdt_console.dir/cmake_clean.cmake
.PHONY : packages/PDT/CMakeFiles/plugin_pdt_console.dir/clean

packages/PDT/CMakeFiles/plugin_pdt_console.dir/depend:
	cd /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build && $(CMAKE_COMMAND) -E cmake_depends "Unix Makefiles" /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2 /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/PDT /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build/packages/PDT /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build/packages/PDT/CMakeFiles/plugin_pdt_console.dir/DependInfo.cmake "--color=$(COLOR)"
.PHONY : packages/PDT/CMakeFiles/plugin_pdt_console.dir/depend

